## ros-kinetic-kvh 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(kvh)

find_package(catkin REQUIRED COMPONENTS message_generation roscpp roslint std_msgs)

catkin_package()

set_directory_properties(PROPERTIES INCLUDE_DIRECTORIES "${CMAKE_CURRENT_LIST_DIR}/include;${catkin_INCLUDE_DIRS}")

if (CMAKE_COMPILER_IS_GNUCXX)
  set_directory_properties(PROPERTIES COMPILE_OPTIONS "-std=c++11;-Wall;-Wextra")
endif()

add_library(dsp3000_parser_lib src/dsp3000_parser.cpp)

add_executable(dsp3000 src/dsp3000_node.cpp src/serial_port.cpp include/kvh/serial_port.h include/kvh/dsp3000_parser.h include/kvh/dsp3000_mode.h)
target_link_libraries(dsp3000 ${catkin_LIBRARIES})
target_link_libraries(dsp3000 dsp3000_parser_lib)
find_package(Boost REQUIRED COMPONENTS thread system)
target_link_libraries(dsp3000 ${Boost_LIBRARIES})

if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(dsp3000_parser_utest test/dsp3000_parser_utest.cpp)
  target_link_libraries(dsp3000_parser_utest dsp3000_parser_lib)
endif()

install(TARGETS dsp3000
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(TARGETS dsp3000_parser_lib
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

roslint_cpp()
roslint_add_test()

=== debian/changelog ===
ros-kinetic-kvh (1.0.3-0xenial) xenial; urgency=high

  * fixed pkg name for launch file
  * added check for testing to remove builder warning
  * added auto generated wiki page for documentation
  * Contributors: Geoff Viola, geoffviola

 -- Geoffrey Viola <geoffrey.viola@asirobots.com>  Sat, 11 Mar 2017 07:00:00 -0000

ros-kinetic-kvh (1.0.2-0xenial) xenial; urgency=high

  * relaxed errors as warnings
  * Contributors: Geoff Viola

 -- Geoffrey Viola <geoffrey.viola@asirobots.com>  Sat, 10 Sep 2016 06:00:00 -0000

ros-kinetic-kvh (1.0.1-0xenial) xenial; urgency=high

  * added installation path for library
  * quiting starting warning
  * unit tested driver
  * roslinted all files
  * clang format
  * Merge pull request #2 <https://github.com/ros-drivers/kvh_drivers/issues/2> from geoffviola/master
    Removed bad cereal API call bug
  * fixed author tag
  * change the maintainer and author
  * CMake cleanup and reverted back to kvh package
  * Update README.md
  * fixes for kinetic
  * added invert option and changed topic name
  * tested on real dsp3000
  * added configuration modes via parameters
  * formatted file
  * added a larger buffer for a slower processor
  * consistently reading
  * debugging some changes
  * Initial untested Indigo release
  * the port defined in the launch file now passes properly.
  * Expanded cereal_port README file
  * Removed a bunch of old .svn directories
  * Added header info to dsp3000.cpp
  * Output changed from degrees to radians.
  * Add the needed add_boost_directories macro.
  * Fixed _pub name and TIMEOUT definition
  * Merge branch 'master' of https://bitbucket.org/clearpathrobotics/kvh
  * Make package build against local copy of cereal_port.
  * Remove unneeded stuff from cereal_port.
  * removed the scripts directory
  * Initial "write" to device made more efficient, exception has a better description.
  * Added ROS_DEBUG output
  * Changed TIMEOUT from define to const
  * Deleted some temp files
  * Added .gitignore
  * Renamed "flavour" directory to "scripts"
  * deleted build files
  * Initial push containing entire DSP-3000 ROS node.
  * Initial commit
  * Contributors: Geoff Viola, Jeff Schmidt, Mike Purvis, geoffviola, jeff-o, sbir

 -- Geoffrey Viola <geoffrey.viola@asirobots.com>  Sat, 13 Aug 2016 06:00:00 -0000

=== debian/control ===
Source: ros-kinetic-kvh
Section: misc
Priority: extra
Maintainer: Geoffrey Viola <geoffrey.viola@asirobots.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roscpp, ros-kinetic-roslaunch, ros-kinetic-roslint, ros-kinetic-std-msgs
Homepage: http://www.ros.org/wiki/kvh
Standards-Version: 3.9.2

Package: ros-kinetic-kvh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-roscpp, ros-kinetic-std-msgs
Description: A driver for the KVH DSP-3000 single-axis Fiber Optic Gyroscope.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-kvh//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
